Bug 73682 - rp-pppoe forgets adding default route
rp-pppoe forgets adding default route
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 15:46 EDT by Emilio Riva
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 06:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emilio Riva 2002-09-08 15:46:43 EDT
Description of Problem:
at the connection, an IP route is correctly added to the ISP gateway through
ppp0 device, but a default route (any IP not belonging to my local area network
must be routed to ppp0) should be added too, like rp3 does using a standard
modem. I'm using an ASDL modem on eth0.

Version-Release number of selected component (if applicable):
rp-pppoe 3.3-7

How Reproducible:
always

Steps to Reproduce:
1. Create ADSL connection
2. Activate it
3. 

Actual Results:
Host isolated from internet until I add manually the correct route; besides,
there is no way to add a default route through a device, not a gateway, from
the cration mask of the pppoe connection...

Expected Results:
functional connection

Additional Information:

before the connection my route table is:
192.168.8.0     *               255.255.255.0   U  0 0 0 eth0
127.0.0.0       *               255.0.0.0       U  0 0 0 lo
default         erihome         0.0.0.0         UG 0 0 0 eth0

after the connection it should be:
151.5.152.134   *               255.255.255.255 UH 0 0 0 ppp0
192.168.8.0     *               255.255.255.0   U  0 0 0 eth0
127.0.0.0       *               255.0.0.0       U  0 0 0 lo
default         151.5.152.134   0.0.0.0         UG 0 0 0 ppp0
default         erihome         0.0.0.0         UG 0 0 0 eth0
...or something like this; instead is like that:
151.5.152.134   *               255.255.255.255 UH 0 0 0 ppp0
192.168.8.0     *               255.255.255.0   U  0 0 0 eth0
127.0.0.0       *               255.0.0.0       U  0 0 0 lo
default         erihome         0.0.0.0         UG 0 0 0 eth0
without the default route through ppp0.
Comment 1 Ngo Than 2004-03-04 06:49:58 EST
it's fixed in 3.5-11, which is available in rawhide

Note You need to log in before you can comment on or make changes to this bug.